Bug 497311 - Dependent Vowel (0CBC) are Render as Independenet vowel
Dependent Vowel (0CBC) are Render as Independenet vowel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: i18n
Depends On: 497292
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 06:25 EDT by Yewei Shao
Modified: 2009-12-28 02:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 497292
Environment:
Last Closed: 2009-12-28 02:41:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch will solve this bug (1.16 KB, patch)
2009-06-02 04:56 EDT, Pravin Satpute
no flags Details | Diff

  None (edit)
Description Yewei Shao 2009-04-23 06:25:02 EDT
+++ This bug was initially created as a clone of Bug #497292 +++

Description of problem:

U+0CBC (unicode points) is not showing Dotted circle before it,
so Render as Independent Vowel, but it is Dependent, so one Dotted Circle
should be there (Unicode also support that only)

Version-Release number of selected component (if applicable):
pango-1.14.9-3.el5
also reproduce in pango-1.22.1-1.fc10.i386


How reproducible: Everytime


Steps to Reproduce:
1.Type the unicode of U+0CBC in gedit
2. Test with kedit
3.
  
Actual results:
character is as  inDependent vowel (no dotted circle)

Expected results:
character should be as Dependent vowel (should be a dotted circle)

Additional info:
Comment 1 Pravin Satpute 2009-06-02 04:56:57 EDT
Created attachment 346213 [details]
This patch will solve this bug

making character U+0CBC to _nu [Nukta Type] is missed, may be since Tamil, Telugu and Malayalam script doesn't have this characters
Comment 2 Bug Zapper 2009-11-18 06:50:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Pravin Satpute 2009-11-19 00:35:20 EST
still there, i guess it will get resolved with harfbuzz
Comment 4 Parag Nemade 2009-12-21 01:25:35 EST
looks fixed in pango-1.26.1
Comment 5 A S Alam 2009-12-28 02:41:22 EST
bug is fixed with latest release in rawhide:
pango-1.26.1-1.fc13

Note You need to log in before you can comment on or make changes to this bug.